// This file may be redistributed and modified only under the terms of
// the GNU General Public License (See COPYING for details).
// Copyright (C) 2003 Henri Kuuste

#include <GL/gl.h>
#include <string>

/**
 * Load texture from a raw (bmp) file
 *
 *\param filename std::string containing the filename
 *\return the ID of the texture, or 0 on failure
 */
GLuint loadRAW(const std::string &filename);

/**
 * Load texture using the GTK+ functionality
 *
 *\param filename std::string containing the filename
 *\return the ID of the texture, or 0 on failure
 */
GLuint loadGTK(const std::string &filename);
